#!/bin/bash
# Download and install an artifact. This downloads artifact from release or develpment repo based on its version. 
# If version has "SNAPSHOT" as part of it, dev repo will be used.
#
# Arguments :
#    ARTIFACT_NAME - artifact to be dowloaded
#    VERSION       - version to be downloaded
#    DEST          - download location of artifact
#    REPO_PATH     - path of artifact in repo
#    ARTIFACT_TYPE - type of artifact
#
# Usage : 
#	/resources/download_artifact.sh "scheduler" "1.0" "/var/lib/tomcat7/webapps" "or/insight" "war"

#ARTIFACT_NAME=$1
#VERSION=$2
FULL_ARTIFACT_PATH=$1
DEST=$2
#REPO_PATH=$4
#ARTIFACT_TYPE=$5
#REPO="insight-dependencies"
#FULL_REPO_PATH="$REPO/$REPO_PATH/$ARTIFACT_NAME/$VERSION/$ARTIFACT_NAME-$VERSION.$ARTIFACT_TYPE"

set -x && \
source /resources/.artifactory_env && \
ARTIFACTORY_CONTEXTURL_WITH_TOKEN=$(echo $artifactory_contextUrl | sed -e "s~\([^://]\)://\(.*\)~\1://${artifactory_user}:${artifactory_token}@\2~g") && \
mkdir -p "$DEST" && \
rm -fr $DEST/* && \
cd "$DEST" && \
wget $ARTIFACTORY_CONTEXTURL_WITH_TOKEN/$FULL_ARTIFACT_PATH