#!/bin/bash
# Download a branch from github repository
# Arguments :
#    $1 - repo name in artifactory
#	 $2 - repo path
#	 $3 - branch
#
# Usage : 
#    /resources/github_download_branch.sh github stedolan/jq jq-1.5-branch

ART_REPO=$1
REPO_PATH=$2
BRANCH=$3

set -x && \
. /resources/.artifactory_env && \
ARTIFACTORY_CONTEXTURL_WITH_TOKEN=$(echo $artifactory_contextUrl | sed -e "s~\([^://]\)://\(.*\)~\1://${artifactory_user}:${artifactory_token}@\2~g") && \
curl -XGET "$ARTIFACTORY_CONTEXTURL_WITH_TOKEN/api/vcs/downloadBranch/$ART_REPO/$REPO_PATH/$BRANCH?ext=tar.gz" > temp_git.gz && \
tar xf temp_git.gz && \
rm -f temp_git.gz