#!/bin/bash
# Install composer and configure authentication
# Arguments :
#    $1 - composer repo name in artifactory
#	 $2 - PHP repo in artifactory
#
# Usage : 
#    /resources/install_composer.sh getcomposer-repository php-remote
# 

GET_COMPOSER_REPO=$1
PHP_REPO=$2

set -x && \
. /resources/.artifactory_env && \

# Create a temporary variable containing the context url and the token
ARTIFACTORY_CONTEXTURL_WITH_TOKEN=$(echo $artifactory_contextUrl | sed -e "s~\([^://]\)://\(.*\)~\1://${artifactory_user}:${artifactory_token}@\2~g") && \

# dowload compose installer
curl -sS  "$ARTIFACTORY_CONTEXTURL_WITH_TOKEN/$GET_COMPOSER_REPO/installer"  | php -- --install-dir=/usr/local/bin && \
mv /usr/local/bin/composer.phar /usr/local/bin/composer && \
chmod +x /usr/local/bin/composer && \

# configure compose auth details
mkdir -p ~/.composer && \
echo '{"repositories":[{"type":"composer","url":"'${ARTIFACTORY_CONTEXTURL_WITH_TOKEN}'/artifactory/api/composer/$PHP_REPO"},{"packagist":false}],"config":{"secure-http":false}}' > ~/.composer/config && \
echo '{"http-basic":{"'${artifactory_server}'":{"username":"'${artifactory_user}'","password":"'${artifactory_token}'"}}}' > auth.json