#!/bin/bash
# Install provided debian packages, this can be invoked in two ways,
#	- pass a file which contains list of packages
#   - pass a list of packages as string seperated by a comma
# 
# Arguments :
#    $1 - File path to sources.list
#	 $2 - List of packages to be installed
#
# Usage : 
#    /resources/install_debian_packages.sh /resources/artifactory.list /resources/debian_packages
#	 /resources/install_debian_packages.sh /resources/artifactory.list "git php5"

REPO_SOURCE=$1
PACKAGE_LIST=$2

# Remove the original repo files
mkdir -p /etc/apt/tmp && mv /etc/apt/sources.list /etc/apt/tmp/ && \
cp $REPO_SOURCE /repo_backup.list && \

set -x && \

# Get the environment variables containing credentials and create a repo file with that name
. /resources/.artifactory_env && \

# Create a temporary variable containing the context url and the token
#ARTIFACTORY_CONTEXTURL_WITH_TOKEN=$(echo $artifactory_contextUrl | sed -e "s~\([^://]\)://\(.*\)~\1://${artifactory_user}:${artifactory_token}@\2~g") && \

# Remove this after long key issue is fixed for jenkins-deployer
ARTIFACTORY_CONTEXTURL_WITH_TOKEN="https://amithk:AKCp5Z2Y5ynv4N2PGLvxUdUYunVtQV3PjZS6ymWWAkqsBBdmgXGfMZP25PSAAYid1FNLiyCj9@repo.jfrog.io/artifactory"

# Replace the placeholder in the .repo file with this variable
sed -i "s~@ARTIFACTORY_INSTANCE_URL~$ARTIFACTORY_CONTEXTURL_WITH_TOKEN~g" $REPO_SOURCE && \

# Copy the file to the appropriate directory
cp $REPO_SOURCE /etc/apt/sources.list

cat /etc/apt/sources.list

apt-get update

# install packages from a file or argument
if ls "$PACKAGE_LIST" &> /dev/null; then
	apt-get install -y $(cat ${PACKAGE_LIST})
else
	apt-get install -y ${PACKAGE_LIST}
fi

apt-get -y clean

# Reset source files
mv /etc/apt/tmp/sources.list /etc/apt/sources.list && \
cp /repo_backup.list $REPO_SOURCE