#!/bin/bash
# Upload a file to a given path.
# Arguments :
#    FILE_PATH - path to target file to be uploaded
#	 REPO_PATH - target path in artifactory
# Usage :
#	/resources/uploadFile.sh sample_binary jfrog/insight-server/2.1.0/sample_binary

FILE_PATH=$1
REPO_PATH=$2

if [[ -z "$FILE_PATH" || "$FILE_PATH" = "" || -z "$REPO_PATH" || "$REPO_PATH" = "" ]]; then
	echo -e "Target file path and repo path is mandatory to upload a file"
	exit 1
fi

# download and install in provided destination
set -x && \
source resources/.artifactory_env && \
ARTIFACTORY_CONTEXTURL_WITH_TOKEN=$(echo $artifactory_contextUrl | sed -e "s~\([^://]\)://\(.*\)~\1://${artifactory_user}:${artifactory_token}@\2~g") && \
curl --show-error --fail -H "Authorization: Bearer ${artifactory_token}" -T "${FILE_PATH}" "$ARTIFACTORY_CONTEXTURL_WITH_TOKEN/$REPO_PATH" || ( echo -e "upload of $REPO_PATH failed" && exit 1 )